package de.advolux.de;

import javax.persistence.EntityManager;
import javax.persistence.EntityManagerFactory;
import javax.persistence.Persistence;
import java.io.Closeable;
import java.io.IOException;

public class DatabaseHelper implements Closeable {

    private EntityManagerFactory factory = null;

    public DatabaseHelper(String db_path_name) {
        factory = Persistence.createEntityManagerFactory(db_path_name);
        factory.getMetamodel().embeddable(TestEmbeddedClass.class);
        factory.getMetamodel().entity(TestEntityClass.class);
    }

    EntityManager GetManager() {
        return factory.createEntityManager();
    }

    public void CloseManager(EntityManager manager) {
        if (manager != null) {
            manager.close();
        }
    }

    @Override
    public void close() throws IOException {
        if (factory != null) {
            factory.close();
        }
        factory = null;
    }

    public String GetVersion() {
        com.objectdb.jdo.PMF pmf = new com.objectdb.jdo.PMF();
        return pmf.getProperties().getProperty("VersionNumber");
    }
}
